> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/assign-windows365.md).

# Windows365 を割り当て

このユーザーに Windows 365 Cloud PC をプロビジョニング

### 説明

このユーザーに、Windows 365 プロビジョニングをトリガーするグループを割り当てます。つまり、プロビジョニング ポリシーまたは Frontline 割り当て、ユーザー設定ポリシー、そして専用 Cloud PC の場合はライセンス グループです。必要に応じて、Cloud PC の準備が整うとユーザーにメールが送信され、ライセンスまたは Frontline の席がなくなった場合はメールでサービス チケットが作成されます。

### ポリシー グループとライセンス グループをドロップダウンとして提供する

既定では、プロビジョニング ポリシー、ユーザー設定ポリシー、ライセンス グループはプレーン テキスト フィールドです。runbook のカスタマイズで、Tenant のグループ名を使ったドロップダウンに変換します:

```json
"rjgit-user_general_assign-windows365": {
    "Parameters": {
        "cfgProvisioningGroupName": {
            "SelectSimple": {
                "cfg - Windows 365 - Provisioning - Win11": "cfg - Windows 365 - Provisioning - Win11",
                "cfg - Windows 365 - Provisioning - Win10": "cfg - Windows 365 - Provisioning - Win10"
            }
        },
        "cfgUserSettingsGroupName": {
            "SelectSimple": {
                "cfg - Windows 365 - User Settings - restore allowed": "cfg - Windows 365 - User Settings - restore allowed",
                "cfg - Windows 365 - User Settings - no restore": "cfg - Windows 365 - User Settings - no restore"
            }
        },
        "licWin365GroupName": {
            "SelectSimple": {
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB",
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB"
            }
        }
    }
}
```

グループ名のプレフィックス（`cfgProvisioningGroupPrefix`, `cfgUserSettingsGroupPrefix`）で、どのグループをプロビジョニング グループまたはユーザー設定グループとして扱うかを決定します。命名が異なる場合は、同じ場所で調整してください。

ランブックのカスタマイズ方法の詳細については、 [ランブック カスタマイズ ガイド](https://docs.realmjoin.com/automation/runbooks/runbook-customization).

### 場所

User → General → Assign Windows365

**完全な Runbook 名**

rjgit-user\_general\_assign-windows365

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * User.Read.All
    * *UPN で対象ユーザーを解決し、メール送信前にメールボックスの存在を確認します*
  * GroupMember.ReadWrite.All
    * *ユーザーをプロビジョニング、ユーザー設定、ライセンスの各グループに追加します*
  * Group.ReadWrite.All
    * *構成グループとライセンス グループを検索し、割り当てられているライセンスを読み取ります*
  * Mail.Send *(オプション — 機能: メール レポート)*
    * *メール オプションが有効な場合、ライセンス不足のチケットとユーザー通知を送信します*
  * CloudPC.Read.All
    * *プロビジョニング ポリシー、共有利用のサービス プラン、およびユーザーの Cloud PC を読み取ります*
  * Organization.Read.All
    * */subscribedSkus を読み取り、専用プランのパスで空きの Windows 365 ライセンスを確認します*

### パラメーター

#### UserName

Runbook が対象とするユーザーのユーザー プリンシパル名。ポータルで選択されたユーザーから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### cfgProvisioningGroupName

専用 Cloud PC 用のプロビジョニング ポリシー グループ、または Frontline プロビジョニング ポリシーの名前です。名前を入力するか、runbook のカスタマイズで一覧が表示される場合は選択してください。

| プロパティ   | 値                                        |
| ------- | ---------------------------------------- |
| 必須      | false                                    |
| 既定値     | cfg - Windows 365 - Provisioning - Win11 |
| 種類      | 文字列                                      |
| ポータル表示名 | プロビジョニング ポリシーまたは Frontline 割り当て          |

#### cfgUserSettingsGroupName

ユーザー設定ポリシーを保持するグループ。たとえば、ユーザーが Cloud PC を復元できるかどうか。

| プロパティ   | 値                                                   |
| ------- | --------------------------------------------------- |
| 必須      | false                                               |
| 既定値     | cfg - Windows 365 - User Settings - restore allowed |
| 種類      | 文字列                                                 |
| ポータル表示名 | ユーザー設定ポリシー                                          |

#### licWin365GroupName

専用 Cloud PC 用のライセンス グループ。Frontline では不要です。

| プロパティ   | 値                                                 |
| ------- | ------------------------------------------------- |
| 必須      | false                                             |
| 既定値     | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 種類      | 文字列                                               |
| ポータル表示名 | Windows 365 ライセンス（専用 Cloud PC）                    |

#### cfgProvisioningGroupPrefix

プロビジョニング ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| 必須       | false                              |
| 既定値      | cfg - Windows 365 - Provisioning - |
| 種類       | 文字列                                |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)          |

#### cfgUserSettingsGroupPrefix

ユーザー設定ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | false                               |
| 既定値      | cfg - Windows 365 - User Settings - |
| 種類       | 文字列                                 |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)           |

#### sendMailWhenProvisioned

プロビジョニングが完了するとすぐにユーザーへメールを送信します。

| プロパティ   | 値                             |
| ------- | ----------------------------- |
| 必須      | false                         |
| 既定値     | False                         |
| 種類      | ブール値                          |
| ポータル表示名 | Cloud PC の準備が整ったらユーザーに通知しますか？ |

#### customizeMail

標準の通知テキストを独自のメッセージに置き換えます。ユーザーに通知する場合にのみ使用されます。

| プロパティ   | 値                 |
| ------- | ----------------- |
| 必須      | false             |
| 既定値     | False             |
| 種類      | ブール値              |
| ポータル表示名 | 通知メールをカスタマイズしますか？ |

**ポータルのオプション**

| ポータル オプション      | 値     |
| --------------- | ----- |
| 標準のメールを使用する     | false |
| カスタム メッセージを使用する | true  |

#### customMailMessage

通知メールの本文。

| プロパティ   | 値                                  |
| ------- | ---------------------------------- |
| 必須      | false                              |
| 既定値     | ここにカスタム メッセージを挿入してください。（3000 文字まで） |
| 種類      | 文字列                                |
| ポータル表示名 | カスタム メッセージ                         |

#### createTicketOutOfLicenses

ライセンスまたは Frontline の席が利用できない場合、サービス デスクにチケット用メールを送信します。

| プロパティ   | 値                            |
| ------- | ---------------------------- |
| 必須      | false                        |
| 既定値     | False                        |
| 種類      | ブール値                         |
| ポータル表示名 | ライセンスがなくなったらサービス チケットを開きますか？ |

#### ticketQueueAddress

メールをチケットに変換するサービス デスクのメールボックス。

| プロパティ   | 値                             |
| ------- | ----------------------------- |
| 必須      | false                         |
| 既定値     | <support@glueckkanja-gab.com> |
| 種類      | 文字列                           |
| ポータル表示名 | サービス チケットの宛先                  |

#### fromMailAddress

通知メールとチケットメールの送信元となるメールボックス。

| プロパティ   | 値                      |
| ------- | ---------------------- |
| 必須      | false                  |
| 既定値     | <runbooks@contoso.com> |
| 種類      | 文字列                    |
| ポータル表示名 | 送信者メールボックス             |

#### ticketCustomerId

チケットの件名に入れる顧客識別子。

| プロパティ   | 値           |
| ------- | ----------- |
| 必須      | false       |
| 既定値     | Contoso     |
| 種類      | 文字列         |
| ポータル表示名 | チケット用の顧客 ID |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/assign-windows365.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
